class V1::ComplaintsController < ApplicationController
  include ::DeletedObjectsController
  include ::Paginator

  before_action :authenticate_user!, only: [:create]

  # GET v1/complaints
  # GET v1/complaints.json
  def index
    complaints = paginate Complaint
    render json: complaints
  end

  # POST v1/complaints
  # POST v1/complaints.json
  def create
    complaint = Complaint.new(complaint_params)

    if complaint.save
      render json: complaint, status: :created
    else
      render json: complaint.errors, status: :unprocessable_entity
    end
  end

  private

  def deleted_resource
    Complaint
  end

  def complaint_params
    params.require(:complaint).permit(:user_id, :description,:complainable_id, :complaint_reason_id, :complainable_type)
  end

end
