module Followable
  extend ActiveSupport::Concern

  included do
    has_many :follows, as: :followable, dependent: :destroy
  end

  # Retrieve the user followers
  def followers
    Follow.where(followable: self)
  end

  ## get all activities from user
  # return an array of PublicActivity::Activity
  def activities
    condition = '(owner_type = :type AND owner_id = :id) OR (recipient_type = :type AND recipient_id = :id)'
    PublicActivity::Activity.order('created_at DESC').where(condition, type: self.class.to_s, id: id).all
  end
end
