class CollectionPolicy < ApplicationPolicy
  include SociablePolicy
  include FollowablePolicy
  include TaggablePolicy

  class Scope < Scope
    def initialize(user, user_id, scope)
      @user = user
      @user_id = user_id
      @scope = scope
    end

    def resolve
      if @user.try(:id) == @user_id || @user.try(:is_admin?)
        scope.all
      else
        scope.where(privacy: 'public')
      end
    end
  end

  def index?
    record
  end

  def delete_object?
    record if owns?
  end

  def add_object?
    record if owns?
  end

  def create?
    record if owns?
  end

  def show?
    if record.private?
      record if owns?
    else
      record
    end
  end

  def update?
    record if owns?
  end

  def destroy?
    record if owns?
  end

  def add_learning_object?
    record if user_exists?
  end

  def remove_learning_object?
    record if owns?
  end

  def change_privacy?
    record if owns?
  end

  def owner
    record.owner
  end
end
