class CollectionMinSerializer < ActiveModel::Serializer
  cache key: 'collection', expires_in: 4.hours, except: [:likes_count, :liked, :reviewed, :complained]

  def liked
    object.liked? current_user
  end

  def reviewed
    object.reviewed? current_user
  end

  def complained
    object.complained? current_user
  end

  attributes :id, :name, :owner, :created_at, :updated_at, :description, :privacy, :score, :likes_count, :liked, :reviewed, :complained, :review_average, :thumbnail
  has_many :tags
  has_many :subjects
  has_many :educational_stages
end
