module SearchService
  class User < Model
    def search
      ::User.search(query: mount_query, order: order_hash, page: @search.page, per_page: @search.results_per_page)
    end

    def autocomplete
      result = ::User.search(@search.query, autocomplete_params.merge(fields: ['name']))

      thumbnail = proc { |obj| obj.avatar.url(:thumb) }
      type = proc { |_obj| 'User' }
      autocomplete_render(result, type, thumbnail)
    end

    private

    def search_fields
      [:name]
    end

    def order_hash
      return { name: { order: :asc, unmapped_type: :string } } if @search.order == 'title'
      nil
    end
  end
end
