class CreateStageRelations < ActiveRecord::Migration[5.0]
  def change
    create_table :stage_relations do |t|
      t.references :educational_stage, foreign_key: true, index: true
      t.references :stageable, polymorphic: true, index: true
      t.timestamps null: false
    end
    add_index :stage_relations, [:educational_stage_id, :stageable_id, :stageable_type], unique: true, name: 'educational_and_stageable'
  end
end
