require 'rails_helper'
require 'rspec_api_documentation'
require 'rspec_api_documentation/dsl'

RspecApiDocumentation.configure do |config|
  config.format = [:json, :combined_text, :html, :markdown]
  config.curl_host = 'https://api.portalmec.c3sl.ufpr.br'
  config.api_name = 'PortalMEC API'
end

module Helper
  def self.serialize(objects)
    serializer = objects.is_a?(Array) || objects.is_a?(ActiveRecord::Relation) ? ActiveModel::Serializer::CollectionSerializer : "#{objects.class.name}Serializer".constantize
    serializer.new(objects, scope: current_user, scope_name: :current_user).to_json
  end

  def self.current_user; nil end
end
