module ControllerHelpers
  def auth_application(app)
    request.headers['PortalMEC-AppID'] = app.application_id
  end

  def auth_user(user)
    request.env["devise.mapping"] = Devise.mappings[:user]
    sign_in user
    request.headers.merge!(user.create_new_auth_token)
  end

  def sign_in(user = double('user'))
    if user.nil?
      allow(request.env['warden']).to receive(:authenticate!).and_throw(:warden, {:scope => :user})
      allow(controller).to receive(:current_user).and_return(nil)
    else
      allow(request.env['warden']).to receive(:authenticate!).and_return(user)
      allow(controller).to receive(:current_user).and_return(user)
    end
  end
end