require 'test_helper'

class V1::MimeTypesControllerTest < ActionController::TestCase
  tests V1::MimeTypesController
  include Devise::Test::ControllerHelpers

  test 'should put update to mime_type with admin user and return :ok code' do
    auth_request users(:admin)
    mime_type = mime_types(:mp4)
    put :update, params: { mime_type: {
                                extension: '.mp45',
                                mime_type: 'video/mp45'
    }, id: mime_type.id }
    assert_response :ok
  end

  test 'should not put update to mime_type if user is not logged in and then return :unauthorized code' do
    mime_type = mime_types(:mp4)
    put :update, params: { mime_type: {
                                extension: '.mp45',
                                mime_type: 'video/mp45'
    }, id: mime_type.id }
    assert_response :unauthorized
  end

end
